/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: PropertySetInfoChangeEvent.idl,v $
 * $Revision: 1.10 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_beans_PropertySetInfoChangeEvent_idl__ 
#define __com_sun_star_beans_PropertySetInfoChangeEvent_idl__ 
 
#ifndef __com_sun_star_lang_EventObject_idl__ 
#include <com/sun/star/lang/EventObject.idl> 
#endif 
 
 
//============================================================================= 
 
module com {  module sun {  module star {  module beans { 
 
//============================================================================= 
 
/** gets delivered whenever an <type>XPropertySetInfo</type> is
    changed.
    
    <p>A <type>PropertySetInfoChangeEvent</type> object is sent
    to <type>XPropertySetInfoChangeListener</type>s.</p>
 */
published struct PropertySetInfoChangeEvent: com::sun::star::lang::EventObject
{ 
    //------------------------------------------------------------------------- 
     
    /** contains the name of the property.
     */
    string Name; 
 
    //------------------------------------------------------------------------- 
     
    /** contains the implementation handle for the property.
        
        <p>May be -1 if the implementation has no handle.</p>
     */
    long   Handle; 
 
    //------------------------------------------------------------------------- 
     
    /** contains the reason for the event.

        @see PropertySetInfoChange
     */
    long   Reason; 
}; 
 
//============================================================================= 
 
}; }; }; }; 
 
#endif 
